Summary: The BSD 4.4 version of make.
Name: pmake

%global momorel 8
%global deb_rel 11
Version: 1.45
Release: %{momorel}m
License: BSD
Group: Development/Tools

%NoSource 0 http://ftp.debian.org/debian/pool/main/p/%{name}/%{name}_%{version}-%{deb_rel}.tar.gz c0f21ad413abbb2fc76ec0d4d426578f

Patch0: pmake-1.45-mktemp.patch
Patch1: pmake-1.45-groffpath.patch
Patch2: pmake-1.45-suppress-warnings.patch
Patch3: pmake-1.45-readdir.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-root

Requires: mktemp
Requires: groff
Obsoletes: pmake-customs

%description
Make is a GNU tool which allows users to build and install programs
without any significant knowledge of the build process. Details about
how the program should be built are included in the program's
Makefile. Pmake is a particular version (BSD 4.4) of make. Pmake
supports some additional syntax which is not in the standard make
program. Some Berkeley programs have Makefiles written for pmake.
#'

%prep
%setup -q
%patch0 -p1 -b .mktemp~
%patch2 -p1 -b .suppress-warnings~
%patch3 -p0 -b .readdir~

%build
%__make -f Makefile.boot CFLAGS="%{optflags} -D__COPYRIGHT\(x\)= -D__RCSID\(x\)= \
    -I. -DMACHINE=\\\"momonga\\\" -DMACHINE_ARCH=\\\"`arch`\\\"" CC=gcc
touch build

%install
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%__mkdir -p %{buildroot}
%__mkdir -p %{buildroot}/{%{_bindir},%{_mandir}/man1}
%__install bmake %{buildroot}/%{_bindir}/pmake
%__install -m 755 mkdep %{buildroot}/%{_bindir}
%__install make.1 %{buildroot}/%{_mandir}/man1/pmake.1
%__install mkdep.1 %{buildroot}/%{_mandir}/man1

%__mkdir -p %{buildroot}/%{_datadir}/mk
%__rm -f mk/*~
for file in mk/*; do
  %__install -m 644 $file %{buildroot}/%{_datadir}/mk
done

%clean
[ "%{buildroot}" != "/" ] && %__rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc PSD.doc/tutorial.ms
%{_bindir}/*
%{_datadir}/mk
%{_mandir}/man1/*

%changelog
* Wed Feb 23 2005 Dai OKUYAMA <dai@ouchi.nahi.to>
- (1.45-8m)
- remove groff version depends.

* Sun Dec 19 2004 KOMATSU Shinichiro <koma2@momonga-linux.org>
- (1.45-7m)
- add pmake-1.45-readdir.patch (Do not assume two subsequent 
  calls of readdir() just after opendir() return "." and "..".)

* Sun Jul 11 2004 Hiroyuki Koga <kuma@momonga-linux.org>
- (1.45-6m)
- remove Epoch

* Mon Feb 23 2004 YAMAZAKI Makoto <zaki@zakky.org>
- (1.45-5m)
- add patch to suppress warnings on build

* Sun Feb 22 2004 Kenta MURATA <muraken2@nifty.com>
- (1.45-4m)
- version 1.45-11.
- MACHINE=momonga.

* Sun Oct 27 2002 YAMAZAKI Makoto <uomaster@nifty.com>
- (1.45-3m)
- fix groff path

* Sun May 12 2002 Toru Hoshina <t@kondara.org>
- (1.45-2k)
- Epoched and update. ummmm.

* Tue Aug 21 2001 Florian La Roche <Florian.LaRoche@redhat.de>
- bad. Hardcoded path including a version number for groff.

* Fri May 11 2001 Preston Brown <pbrown@redhat.com>
- use mktemp in mkdep script

* Mon Jan 08 2001 Preston Brown <pbrown@redhat.com>
- report newer pmake from Debian who got it from 4.4BSD

